import 'package:dotup_dart_geolocation_core/dotup_dart_geolocation_core.dart';

import 'HereMetaInfo.dart';
import 'HereView.dart';

class GeoCode {
  DateTime get timeStamp => DateTime.tryParse(metaInfo?.timestamp ?? '') ?? DateTime.now();
  HereMetaInfo? metaInfo;
  List<HereView>? view;

  GeoCode({this.metaInfo, this.view});

  GeoCode.fromJson(Map<String, dynamic> json) {
    metaInfo = json['MetaInfo'] != null ? HereMetaInfo.fromJson(json['MetaInfo']) : null;
    if (json['View'] != null) {
      view = [];
      json['View'].forEach((v) {
        view!.add(HereView.fromJson(v));
      });
    }
  }

  Map<String, dynamic> toJson() {
    final data = <String, dynamic>{};
    if (metaInfo != null) {
      data['MetaInfo'] = metaInfo!.toJson();
    }
    if (view != null) {
      data['View'] = view!.map((v) => v.toJson()).toList();
    }
    return data;
  }

  GeoCoordinates? getGeoCoordinates() {
    return view?.first.result!.first.location.displayPosition;
  }
}
