
import 'AdditionalData.dart';

class HereAddress {
  String? label;
  String? country;
  String? state;
  String? county;
  String? city;
  String? postalCode;
  List<AdditionalData>? additionalData;

  HereAddress({this.label, this.country, this.state, this.county, this.city, this.postalCode, this.additionalData});

  HereAddress.fromJson(Map<String, dynamic> json) {
    label = json['Label'];
    country = json['Country'];
    state = json['State'];
    county = json['County'];
    city = json['City'];
    postalCode = json['PostalCode'];
    if (json['AdditionalData'] != null) {
      additionalData = [];
      json['AdditionalData'].forEach((v) {
        additionalData!.add(AdditionalData.fromJson(v));
      });
    }
  }

  Map<String, dynamic> toJson() {
    final data = <String, dynamic>{};
    data['Label'] = label;
    data['Country'] = country;
    data['State'] = state;
    data['County'] = county;
    data['City'] = city;
    data['PostalCode'] = postalCode;
    if (additionalData != null) {
      data['AdditionalData'] = additionalData!.map((v) => v.toJson()).toList();
    }
    return data;
  }
}
