
import 'package:dotup_dart_geolocation_core/dotup_dart_geolocation_core.dart';

import 'HereMapView.dart';

class HereLocation {
  String? locationId;
  String? locationType;
  GeoCoordinates? displayPosition;
  List<GeoCoordinates>? navigationPosition;
  HereMapView? mapView;
  Address? address;

  HereLocation(
      {this.locationId, this.locationType, this.displayPosition, this.navigationPosition, this.mapView, this.address});

  HereLocation.fromJson(Map<String, dynamic> json) {
    locationId = json['LocationId'];
    locationType = json['LocationType'];
    displayPosition = json['DisplayPosition'] != null ? GeoCoordinates.fromMap(json['DisplayPosition']) : null;
    if (json['NavigationPosition'] != null) {
      navigationPosition = [];
      json['NavigationPosition'].forEach((v) {
        navigationPosition!.add(GeoCoordinates.fromMap(v));
      });
    }
    mapView = json['MapView'] != null ? HereMapView.fromJson(json['MapView']) : null;
    address = json['Address'] != null ? Address.fromMap(json['Address']) : null;
  }

  Map<String, dynamic> toJson() {
    final data = <String, dynamic>{};
    data['LocationId'] = locationId;
    data['LocationType'] = locationType;
    if (displayPosition != null) {
      data['DisplayPosition'] = displayPosition!.toJson();
    }
    if (navigationPosition != null) {
      data['NavigationPosition'] = navigationPosition!.map((v) => v.toJson()).toList();
    }
    if (mapView != null) {
      data['MapView'] = mapView!.toJson();
    }
    if (address != null) {
      data['Address'] = address!.toJson();
    }
    return data;
  }
}
