import 'package:dotup_dart_geolocation_core/dotup_dart_geolocation_core.dart';

import 'ViewResult.dart';

class HereView {
  String? type;
  int? viewId;
  List<HereViewResult>? result;

  HereView({this.type, this.viewId, this.result});

  HereView.fromJson(Map<String, dynamic> json) {
    type = json['_type'];
    viewId = json['ViewId'];
    if (json['Result'] != null) {
      result = [];
      json['Result'].forEach((v) {
        result!.add(HereViewResult.fromJson(v));
      });
    }
  }

  Map<String, dynamic> toJson() {
    final data = <String, dynamic>{};
    data['_type'] = type;
    data['ViewId'] = viewId;
    if (result != null) {
      data['Result'] = result!.map((v) => v.toJson()).toList();
    }
    return data;
  }
}
